Skip to main content
GET
List available tools

Authorizations

x-api-key
string
header
default:your-project-api-key
required

Your Composio project API key. Create or copy it from the Composio dashboard.

Query Parameters

toolkit_slug
string

The slug of the toolkit to filter by

tool_slugs
string

Comma-separated list of specific tool slugs to retrieve (overrides other filters)

auth_config_ids

DEPRECATED: This parameter will be removed in a future version. Filter directly instead with tool_slugs and toolkit_slug, which accepts a comma-separated list of toolkits.

important
enum<string>

Filter to only show important/featured tools (set to "true" to enable)

Available options:
true,
false
tags
string[]

Filter tools by one or more tags (can be specified multiple times)

scopes
string[] | null

Array of scopes to filter tools by) Filter tools by one or more scopes (can be specified multiple times)

query
string

Full-text search query to filter tools by name, slug, or description. Applied as a soft filter on top of other filters.

Deprecated: use "query" instead. Free-text search query to find tools by name, description, or functionality.

include_deprecated
boolean
default:true

Include deprecated tools in the response

include_pricing
boolean
default:false

Whether to include published pricing within instant, when available. Defaults to false.

toolkit_versions

Toolkit version specification. Use "latest" for latest versions or bracket notation for specific versions per toolkit. Defaults to the latest published version ("latest") when omitted.

limit
number | null

Number of items per page, max allowed is 1000

cursor
string

Cursor for pagination. The cursor is a base64 encoded string of the page and limit. The page is the page number and the limit is the number of items per page. The cursor is used to paginate through the items. The cursor is not required for the first page.

Response

Successfully retrieved tools list with pagination information

items
object[]
required
total_pages
number
required
current_page
number
required
total_items
number
required
next_cursor
string | null